# Uses of Class
org.apache.lucene.index.ConcurrentMergeScheduler.MergeThread

Packages that use ConcurrentMergeScheduler.MergeThread
Package
Description
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of ConcurrentMergeScheduler.MergeThread in org.apache.lucene.index

  Fields in org.apache.lucene.index with type parameters of type ConcurrentMergeScheduler.MergeThread
  Modifier and Type
  Field
  Description
  `protected final List<ConcurrentMergeScheduler.MergeThread>`
  ConcurrentMergeScheduler.`mergeThreads`
  List of currently active `ConcurrentMergeScheduler.MergeThread`s.
  Methods in org.apache.lucene.index that return ConcurrentMergeScheduler.MergeThread
  Modifier and Type
  Method
  Description
  `protected ConcurrentMergeScheduler.MergeThread`
  ConcurrentMergeScheduler.`getMergeThread(MergeScheduler.MergeSource mergeSource, MergePolicy.OneMerge merge)`
  Create and return a new MergeThread
  Methods in org.apache.lucene.index with parameters of type ConcurrentMergeScheduler.MergeThread
  Modifier and Type
  Method
  Description
  `int`
  ConcurrentMergeScheduler.MergeThread.`compareTo(ConcurrentMergeScheduler.MergeThread other)`